Skip to main content
GET
List refunds

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch refunds for.

Query Parameters

external_id
string

Filter refunds by external ID (unique idempotency key). This will always yield zero or one result.

status
enum<string>

Filter refunds by status.

Available options:
SENT,
PARTIALLY_PAID,
PAID
completed_at_start
string<date-time>

Filter refunds by completion date. Refunds completed on or after this date will be included. ISO 8601 date format.

completed_at_end
string<date-time>

Filter refunds by completion date. Refunds completed on or before this date will be included. ISO 8601 date format.

is_dedicated
boolean

Filter refunds by whether they are dedicated to a single target.

included_in_payout
boolean

Filter refunds by whether they are included in a payout. Set to true to show only refunds that are part of a payout, false to show only refunds not in any payout.

min_amount
integer<int64>

Filter refunds by minimum amount. Only refunds with amounts greater than or equal to this value will be included. Must be a positive integer.

Required range: x >= 0
max_amount
integer<int64>

Filter refunds by maximum amount. Only refunds with amounts less than or equal to this value will be included. Must be a positive integer.

Required range: x >= 0
reference_number
string

Filter by exact reference number match. Returns only records with this exact reference number.

reference_numbers
string

Comma-separated list of reference numbers to filter refunds by. Only refunds with reference numbers matching any value in this list will be returned.

customer_id
string<uuid>

UUID of the customer to filter refunds by. Returns refunds with at least one allocation to this customer.

customer_external_id
string

External ID of the customer to filter refunds by. Returns refunds with at least one allocation to this customer.

Response

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.